<?php
class vrclaveacc1
{
	var $ruta;
	var $error;
	function vrclaveacc1($rut)
	{
		$this->ruta=$rut;
	}
	
	function set($id,$docu)
	{
		require($this->ruta);
		require('../../_lib/vrdocu0.php');
		require('../../_lib/vrmod11.php');
		$doc=new vrdocu0($this->ruta,$docu);
		$tabla=$doc->tabla;
		$dcmt_sql='select *from '.$tabla.'1 where idnum1='.$id;
		$dcmt_res=mysql_query($dcmt_sql,$link_vcrx);
		if(mysql_num_rows($dcmt_res)==0)
		{
			$this->error='No se encontro resultado busqueda';
			die();
		}
		$fecha='';
		$tipo='';
		$ruce='';
		$ambiente='';
		$serie='';
		$numero='';
		$numerof='';
		$tipoe='';
		$modulo='';
		
		$fecha=mysql_result($dcmt_res,0,'fecha');
		$serie=mysql_result($dcmt_res,0,'ptoe');
		$numero=mysql_result($dcmt_res,0,'numero');
		$numerof='12345678';
		$tipoe='1';
		
		
		$dia=substr( $fecha , 8, 2 );
		$mes=substr( $fecha , 5, 2 );
		$anio=substr( $fecha , 0, 4 );
		$fecha=$dia.$mes.$anio;
		//echo substr( $docu , 0, 2 );
		
		$tipoc=substr( $docu , 0, 2 );
		switch($tipoc)
		{
			case 'fc':
				$tipoc='01';
			break;
			case 'nc':
				$tipoc='04';
			break;
			case 'nv':
				$tipoc='06';
			break;
			case 'nc':
				$tipoc='06';
			break;
			case 'gr':
				$tipoc='06';
			break;
			case 'rp':
				$tipoc='07';
			break;
		}
		$empr_sql='select *from empr0';
		$empr_res=mysql_query($empr_sql,$link_vcrx);
		$ruce=mysql_result($empr_res,0,'empr_ruc');
		$ambiente=mysql_result($empr_res,0,'empr_ambientece');
		if(empty($ambiente))
		{
			$ambiente='1';
		}
		
		$clavea=$fecha.$tipoc.$ruce.$ambiente.$serie.$numero.$numerof.$tipoe;
		$clavea.=vrmod11($clavea,false);
		echo $clavea;
	}
}
?>